Subject: Re: bug#9377: 24.0.50; another completion problem in *shell* buffer

From: Glenn Morris <[email-masked]>
Date: Fri, 26 Aug 2011 12:59:01 -0400

Kenichi Handa wrote:

> Ah, yes, with that, scp argument files are completed correctly. By the
> way Emacs 23 doesn't have this bug.

pcomplete is not enabled by default in Emacs 23 shell, but if enabled
completes scp fine. Since pcomplete/scp has not changed since then, I
think this is an issue with pcomplete-all-entries or pcomplete-here.